using Microsoft.EntityFrameworkCore;
using SVSim.Database.Models;

namespace SVSim.Database.Repositories.Collectibles;

public class CollectionRepository : ICollectionRepository
{
    private readonly SVSimDbContext _dbContext;

    public CollectionRepository(SVSimDbContext dbContext)
    {
        _dbContext = dbContext;
    }

    public async Task<List<LeaderSkinEntry>> GetLeaderSkins()
    {
        return await _dbContext.Set<LeaderSkinEntry>().AsNoTracking().Include(skin => skin.Class).ToListAsync();
    }
}